void fft()
{
  //dump the samples into an array
  float[] leftChannel = tune.getChannel(BufferedAudio.LEFT);

  //cut up the samples array into buffer chunks for FFT
  for(int n = 0; n < (leftChannel.length / bufferSize); n++)
  {

    float[] tempBuffer = new float[bufferSize];
    arrayCopy(leftChannel, (n * bufferSize),
    tempBuffer, 0, bufferSize);

    fftLog.forward(tempBuffer);

    //send FFT data to proper accum
    for(int i = 0; i < fftLog.avgSize(); i++)
      accums[i].add(fftLog.getAvg(i));

  }
}

